petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSMonitorDrawSolutionPhase

Monitors progress of the TS solvers by plotting the solution as a phase diagram

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorDrawSolutionPhase(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| dummy | - either a viewer or NULL

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages